API / Endpoints
Models
List and inspect available models through the OpenAI-format endpoint.
Browse docs
List Models
GET /v1/models returns the models available to the authenticated caller.
text
curl http://your-aurora-host/v1/models \
-H "Authorization: Bearer $AURORA_MASTER_KEY"
Response:
text
{
"object": "list",
"data": [
{
"id": "gpt-4o",
"object": "model",
"created": 1715367049,
"owned_by": "system"
}
]
}
Get Model
GET /v1/models/{model} returns details for a specific model.
text
curl http://your-aurora-host/v1/models/gpt-4o \
-H "Authorization: Bearer $AURORA_MASTER_KEY"
Response:
text
{
"id": "gpt-4o",
"object": "model",
"created": 1715367049,
"owned_by": "system"
}
Model Visibility
Admin Models
GET /admin/api/v1/models returns additional metadata (provider_type, provider_name) per model — see Admin API.